#!/bin/sh

# Allow MinGW to build a cross compiler
cp x-mingw32 ../gcc-*/gcc/config/i386

# Don't build collect2
patch ../gcc-*/gcc/config.gcc config.gcc.patch

# Fixup collect2 so that it can be built using mingw.
patch ../gcc-*/gcc/collect2.c collect2.c.patch

# Stop fixinc being built.
patch ../gcc-*/gcc/Makefile.in Makefile.in.patch

# Build ARM gcc for VFP floating point.
patch ../gcc-*/gcc/config/arm/unknown-elf.h unknown-elf.h.patch
